import { Compiler, CompilerMain } from '@teambit/compiler';
import { Logger, LoggerMain } from '@teambit/logger';
import type { SchemaMain } from '@teambit/schema';
import { BabelCompilerOptions } from './compiler-options';
export declare class BabelMain {
    private logger;
    private compiler;
    constructor(logger: Logger, compiler: CompilerMain);
    createCompiler(options: BabelCompilerOptions): Compiler;
    getPackageJsonProps(): {
        main: string;
    };
    static runtime: import("@teambit/harmony").RuntimeDefinition;
    static dependencies: import("@teambit/harmony").Aspect[];
    static provider([schema, loggerExt, compiler]: [SchemaMain, LoggerMain, CompilerMain]): Promise<BabelMain>;
}
